零件圆柱体

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part Cylinder and the translation is 12% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg Previous: Part Box.svg Box
Next: Sphere Part Sphere.svg Arrow-right.svg

Part Cylinder.svg Part Cylinder

Menu location
Part → Primitives → Cylinder
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

描述

利用位置、角度、半径与高度参数创建一个简单的参数化圆柱体。

如何使用

零件工作台中点击此图标Part Cylinder.png。默认情况下,此工具会创建一个对齐于坐标轴的半径为2mm且高度为10mm的完整圆柱体,并令其中心与全局原点(point 0,0,0)重合。

  1. Switch to the Workbench Part.svg Part Workbench
  2. There are several ways to invoke the command:
    • Press the Part Cylinder.svg Cylinder button in the toolbar.
    • Select Part → Primitives → Part Cylinder.svg Cylinder entry from the top menu

Result: The default result is a full cylinder with a radius of 2 mm and height of 10 mm, centered along the global z-axis and attached to the global xy-plane.

The cylinder properties can later be edited, either in the Property editor or by double-clicking the cylinder in the Tree view.

以圆柱体工具创建的一个圆柱体

选项

创建圆柱体后,用户可编辑其数据选项卡中的各属性:

  • 数据Angle: This is the rotation angle that permits the creation of a portion of cylinder (it is set to 360° by default)
  • 数据Height: The height is the distance in the z-axis
  • 数据Radius: The radius defines a plane in x-y.
  • 数据First Angle: Angle in first direction. introduced in version 0.20
  • 数据Second Angle: Angle in second direction. introduced in version 0.20

Scripting

A Part Cylinder can be created using the following function:

cylinder = FreeCAD.ActiveDocument.addObject("Part::Cylinder", "myCylinder")
  • Where "myCylinder" is the name for the object.
  • The function returns the newly created object.


Arrow-left.svg Previous: Part Box.svg Box
Next: Sphere Part Sphere.svg Arrow-right.svg